- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GPop::Store Class Reference

A message store. More...

`#include <gpopstore.h>`

## Public Member Functions
| Store (G::Path spool_dir, bool by_name, bool allow_delete)
| Constructor. More...
G::Path | dir () const
| Returns the spool directory path. More...
bool | allowDelete () const
| Returns true if files can be deleted. More...
bool | byName () const
| Returns true if the spool directory is affected by the user name. More...

## Detailed Description

A message store.

Unlike the SMTP message store the POP message store allows content files to be in the envelope file's parent directory.

Definition at line 46 of file gpopstore.h.

## Constructor & Destructor Documentation

GPop::Store::Store | ( | G::Path | spool_dir,
|  | bool | by_name,
|  | bool | allow_delete
| ) |  |

Constructor.

Definition at line 69 of file gpopstore.cpp.

## Member Function Documentation

bool GPop::Store::allowDelete | ( |  | ) | const

Returns true if files can be deleted.

Definition at line 82 of file gpopstore.cpp.

bool GPop::Store::byName | ( |  | ) | const

Returns true if the spool directory is affected by the user name.

Definition at line 87 of file gpopstore.cpp.

G::Path GPop::Store::dir | ( |  | ) | const

Returns the spool directory path.

Definition at line 77 of file gpopstore.cpp.

The documentation for this class was generated from the following files:

- gpopstore.h
- gpopstore.cpp